bitel.billing.server.admin.bgsecure.bean

## Class Group

- java.lang.Object
- - bitel.billing.server.admin.bgsecure.bean.Group

- All Implemented Interfaces:
    ListItem

      public final class Group
      extends java.lang.Object
      implements ListItem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Group()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `long` | `getContractGroups()`
    `int` | `getContractGroupsMode()`
    `int` | `getId()`
    `java.util.List<java.lang.String>` | `getRuleAccessContractParameter()`
    `java.util.List<java.lang.String>` | `getRuleAccessObjectParameter()`
    `java.lang.String` | `getTitle()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractGroups(long contractGroups)`
    `void` | `setContractGroupsMode(int contractGroupsMode)`
    `void` | `setId(int id)`
    `void` | `setRuleAccessContractParameter(java.util.List<java.lang.String> ruleAccessContractParameter)`
    `void` | `setRuleAccessObjectParameter(java.util.List<java.lang.String> ruleAccessObjectParameter)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Group

          public Group()

  - ### Method Detail

    - #### getRuleAccessObjectParameter

          public java.util.List<java.lang.String> getRuleAccessObjectParameter()

    - #### setRuleAccessObjectParameter

          public void setRuleAccessObjectParameter(java.util.List<java.lang.String> ruleAccessObjectParameter)

    - #### getRuleAccessContractParameter

          public java.util.List<java.lang.String> getRuleAccessContractParameter()

    - #### setRuleAccessContractParameter

          public void setRuleAccessContractParameter(java.util.List<java.lang.String> ruleAccessContractParameter)

    - #### getContractGroups

          public long getContractGroups()

    - #### setContractGroups

          public void setContractGroups(long contractGroups)

    - #### getContractGroupsMode

          public int getContractGroupsMode()

    - #### setContractGroupsMode

          public void setContractGroupsMode(int contractGroupsMode)

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `ListItem`

    - #### setId

          public void setId(int id)

    - #### getTitle

          public java.lang.String getTitle()

      Specified by:
        `getTitle` in interface `ListItem`

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)